## code to prepare datasets used in vignettes
library(airGR)

source("tests/testthat/helper_vignettes.R")

# V02.1_param_optim
RunVignetteChunks("V02.1_param_optim")
save(resGLOB, resPORT,
     file = "inst/vignettesData/vignetteParamOptim.rda",
     version = 2)
save(algo, Ind_Run, InputsCrit_inv, InputsModel, MOptimGR4J, optMO, RunOptions,
     file = "inst/vignettesData/vignetteParamOptimCaramel.rda",
     version = 2)

# V02.2_param_mcmc
RunVignetteChunks("V02.2_param_mcmc")
save(gelRub, multDRAM,
     file = "inst/vignettesData/vignetteParamMCMC.rda",
     version = 2)

# V04_cemaneige_hysteresis
RunVignetteChunks("V04_cemaneige_hysteresis")
save(OutputsCrit_Cal, OutputsCrit_Cal_NoHyst, OutputsCrit_Val, OutputsCrit_Val_NoHyst,
     file = "inst/vignettesData/vignetteParamMCMC.rda",
     version = 2)
